"""add full_text_sections to global_literature

Revision ID: f83e6b217209
Revises: 3a3d048e0784
Create Date: 2026-07-07 18:00:00.000000
"""
from typing import Sequence, Union
from alembic import op
import sqlalchemy as sa


revision: str = 'f83e6b217209'
down_revision: Union[str, None] = '3a3d048e0784'
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    op.add_column('global_literature', sa.Column('full_text_sections', sa.JSON(), nullable=True))


def downgrade() -> None:
    op.drop_column('global_literature', 'full_text_sections')
